// Code generated by mockery v2.10.2. DO NOT EDIT.

package mocks

import (
	models "bots-ms/models"

	mock "github.com/stretchr/testify/mock"
)

// ConnectorUsecase is an autogenerated mock type for the ConnectorUsecase type
type ConnectorUsecase struct {
	mock.Mock
}

// Create provides a mock function with given fields: item
func (_m *ConnectorUsecase) Create(item *models.Connector) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.Connector) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Delete provides a mock function with given fields: id
func (_m *ConnectorUsecase) Delete(id uint) error {
	ret := _m.Called(id)

	var r0 error
	if rf, ok := ret.Get(0).(func(uint) error); ok {
		r0 = rf(id)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// GetById provides a mock function with given fields: id
func (_m *ConnectorUsecase) GetById(id uint) (*models.Connector, error) {
	ret := _m.Called(id)

	var r0 *models.Connector
	if rf, ok := ret.Get(0).(func(uint) *models.Connector); ok {
		r0 = rf(id)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Connector)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint) error); ok {
		r1 = rf(id)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetInnerBySocket provides a mock function with given fields: toScenarioAction, socketId
func (_m *ConnectorUsecase) GetInnerBySocket(toScenarioAction uint, socketId uint) (*models.Connector, error) {
	ret := _m.Called(toScenarioAction, socketId)

	var r0 *models.Connector
	if rf, ok := ret.Get(0).(func(uint, uint) *models.Connector); ok {
		r0 = rf(toScenarioAction, socketId)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Connector)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint, uint) error); ok {
		r1 = rf(toScenarioAction, socketId)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetInnerList provides a mock function with given fields: scenarioActionId
func (_m *ConnectorUsecase) GetInnerList(scenarioActionId uint) (*[]models.Connector, error) {
	ret := _m.Called(scenarioActionId)

	var r0 *[]models.Connector
	if rf, ok := ret.Get(0).(func(uint) *[]models.Connector); ok {
		r0 = rf(scenarioActionId)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*[]models.Connector)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint) error); ok {
		r1 = rf(scenarioActionId)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetOuterBySocket provides a mock function with given fields: fromScenarioAction, socketId
func (_m *ConnectorUsecase) GetOuterBySocket(fromScenarioAction uint, socketId uint) (*models.Connector, error) {
	ret := _m.Called(fromScenarioAction, socketId)

	var r0 *models.Connector
	if rf, ok := ret.Get(0).(func(uint, uint) *models.Connector); ok {
		r0 = rf(fromScenarioAction, socketId)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Connector)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint, uint) error); ok {
		r1 = rf(fromScenarioAction, socketId)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// List provides a mock function with given fields: scenarioId
func (_m *ConnectorUsecase) List(scenarioId uint) (*[]models.Connector, error) {
	ret := _m.Called(scenarioId)

	var r0 *[]models.Connector
	if rf, ok := ret.Get(0).(func(uint) *[]models.Connector); ok {
		r0 = rf(scenarioId)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*[]models.Connector)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint) error); ok {
		r1 = rf(scenarioId)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Update provides a mock function with given fields: item
func (_m *ConnectorUsecase) Update(item *models.Connector) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.Connector) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
